/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package de.todesbaum.freemule.application;


/**
 * @author <a href="mailto:droden@gmail.com">David Roden </a>
 * @version $Id:Client.java 220 2006-03-06 14:46:23Z bombe $
 */
public class Client {

	private transient String clientId;
	private transient String name;
	private transient String version;
	private transient String address;
	private transient String privateAddress;
	private transient int filelistIndex;
	private transient long timestamp = -1;

	public Client(String clientId) {
		this.clientId = clientId;
	}

	public Client(String clientId, String name, String version, String address, String privateAddress, int filelistIndex, long timestamp) {
		this.clientId = clientId;
		this.name = name;
		this.version = version;
		this.address = address;
		this.privateAddress = privateAddress;
		this.filelistIndex = filelistIndex;
		this.timestamp = timestamp;
	}

	/**
	 * @return Returns the clientId.
	 */
	public String getClientId() {
		return clientId;
	}

	/**
	 * @param address
	 *            The address to set.
	 */
	public void setAddress(String address) {
		this.address = address;
	}

	/**
	 * @param filelistIndex
	 *            The filelistIndex to set.
	 */
	public void setFilelistIndex(int filelistIndex) {
		this.filelistIndex = filelistIndex;
	}

	/**
	 * @param name
	 *            The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @param version
	 *            The version to set.
	 */
	public void setVersion(String version) {
		this.version = version;
	}

	/**
	 * @return Returns the address.
	 */
	public String getAddress() {
		return address;
	}

	/**
	 * @return Returns the filelistIndex.
	 */
	public int getFilelistIndex() {
		return filelistIndex;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}

	/**
	 * @return Returns the version.
	 */
	public String getVersion() {
		return version;
	}

	/**
	 * @return Returns the privateAddress.
	 */
	public String getPrivateAddress() {
		return privateAddress;
	}

	/**
	 * @param privateAddress
	 *            The privateAddress to set.
	 */
	public void setPrivateAddress(String privateAddress) {
		this.privateAddress = privateAddress;
	}

	/**
	 * @return Returns the timestamp.
	 */
	public long getTimestamp() {
		return timestamp;
	}

	/**
	 * @param timestamp
	 *            The timestamp to set.
	 */
	public void setTimestamp(long timestamp) {
		this.timestamp = timestamp;
	}

	public boolean equals(Object o) {
		if ((o == null) || !(o instanceof Client)) {
			return false;
		}
		return clientId.equals(((Client) o).clientId);
	}

	public int hashCode() {
		return clientId.hashCode();
	}

}
