/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package de.todesbaum.freemule.gui;

import java.awt.BorderLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTree;
import javax.swing.border.EmptyBorder;

import de.todesbaum.freemule.application.AbstractService;


/**
 * @author David Roden &lt;droden@gmail.com&gt;
 * @version $Id:ServicesPanel.java 221 2006-03-06 14:46:49Z bombe $
 */
public class ServicesPanel extends JPanel {

	private JFrame parent;
	private AbstractService[] services;
	
	private ServicesTreeModel servicesTreeModel;
	private JTree servicesTree;
	
	public ServicesPanel(JFrame parent) {
		super(new BorderLayout(5, 5));
		this.parent = parent;
		initializeActions();
		initializeComponents();
		initializeLayout();
	}
	
	public void setServices(AbstractService[] services) {
		this.services = services;
		initializeComponents();
		initializeLayout();
	}

	/**
	 * 
	 */
	private void initializeActions() {
	}

	/**
	 * 
	 */
	private void initializeComponents() {
		servicesTreeModel = new ServicesTreeModel(services);
		servicesTree = new JTree(servicesTreeModel);
		servicesTree.setRootVisible(false);
		servicesTree.setShowsRootHandles(true);
	}

	/**
	 * 
	 */
	private void initializeLayout() {
		removeAll();
		setBorder(new EmptyBorder(5, 5, 5, 5));
		add(new JScrollPane(servicesTree), BorderLayout.CENTER);
	}
	
}
