/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package de.todesbaum.freemule.util;

import junit.framework.TestCase;

public class HexTest extends TestCase {

	/*
	 * Test method for 'freemule.util.Hex.toHex(long)'
	 */
	public void testToHexLong() {
		assertEquals("0", Hex.toHex(0l));
		assertEquals("1", Hex.toHex(1l));
		assertEquals("f", Hex.toHex(15l));
		assertEquals("10", Hex.toHex(16l));
		assertEquals("7fffffff", Hex.toHex(Integer.MAX_VALUE));
		assertEquals("80000000", Hex.toHex(Integer.MAX_VALUE + 1l));
		assertEquals("ffffffffffffffff", Hex.toHex(-1l));
	}

	public void testToLongString() {
		assertEquals(0l, Hex.toLong("0"));
		assertEquals(1l, Hex.toLong("1"));
		assertEquals(15l, Hex.toLong("f"));
		assertEquals(16l, Hex.toLong("10"));
		assertEquals(Integer.MAX_VALUE, Hex.toLong("7fffffff"));
		assertEquals(Integer.MAX_VALUE + 1l, Hex.toLong("80000000"));
		assertEquals(-1l, Hex.toLong("ffffffffffffffff"));
	}

}
